<?php
$title = _("Edit Positions");
headers(array('title'=>$title,'menu'=>1));

if(!has_permission(get_member_id($_SESSION['user']),'edit positions')) {
  ?>
  <div class="error">
  <p>You do not have permission to do this.</p>
  </div>
<?php
					} else { 
if($_GET['delete']) {
  $sql = "delete from positions where id=".$dbh->quote($_GET['delete']);
  $result = $dbh->query($sql);
  my_syslog(LOG_DEBUG,"edit-positions delete: ".$sql);
  if(DB::isError($result)) {
    my_syslog(LOG_ERR,'edit-positions delete isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'edit-positions delete  result: '.var_export($result));
    exit("Database error");    
  }
}

if($_GET['edit'] && $_POST['submit']==_('Edit')) {
  $sql = "update positions set title=".$dbh->quote($_POST['title'])." , ".
    "description=".$dbh->quote($_POST['description']).
    " where id=".$dbh->quote($_POST['id']);
  $result = $dbh->query($sql);
  my_syslog(LOG_DEBUG,'edit-positions update: '.$sql);
  if(DB::isError($result)) {
    my_syslog(LOG_ERR,'edit-positions update isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'edit-positions update result: '.var_export($result));
    exit("Database error");
  }
}

if($_POST['submit']==_('Add')) {
  sql_insert('positions',array(
			       'org_id'=> $config['org_id'],
			       'title' => $_POST['title'],
			       'description' => $_POST['description']
			       )
	     );
}

$sql = "select positions.title as title, ".
  "positions.description as description, ".
  "orgs.name as orgname,members.email as email, ".
  "positions_held.* ".
  " from positions,positions_held,orgs,members where ".
  "positions.id=positions_held.position_id and ".
  "(orgs.id=positions.org_id or positions.org_id is NULL) ".
  "and orgs.id=positions_held.org_id and ".
  "positions_held.member_id=members.id ";
if(!$_GET['old'])
  $sql .= "and positions_held.end_datetime > now() ";

$sql.=  "order by end_datetime DESC";

$result = $dbh->query($sql);
my_syslog(LOG_DEBUG,'edit-position-holders get: '.$sql);
if(DB::isError($result))
{
  my_syslog(LOG_ERR,'edit-position-holders get isError: '.
	    $result->getMessage());
  my_syslog(LOG_ERR,'edit-position-holders get result: '.var_export($result));
  exit("Database error");
}
?>
  <h2><?=_('Add Position Type')?></h2>
<form name="main" method="POST" action="<?=$PHP_SELF?>?page=edit-positions<? if($row) { echo '&edit='.$row->id;}?>">
<?php if($row) {?>
    <input type="hidden" name="id" value="<?=$row->id?>"/>
<? } ?>
    <p class="field">
       <label for="title"><?=_('Title:')?> </label>
      <input type="text" id="title" name="title" value="<?=$row->title?>"/>
    </p>

    <p class="field">
       <label for="description"><?=_('Description:')?> </label>
      <input type="text" id="description" name="description" value="<?=$row->description?>"/>
    </p>

    <input type="submit" name="submit" value="<?=_('Add')?>"/>
				<?php if($row) { ?>
    <input type="submit" name="submit" value="<?=_('Edit')?>"/>
						 <? } ?>
</form>

<?php
 if(!$_GET['old']) {
   echo '<h2>'._('Current Position Holders').'</h2>';
 } else {
   echo '<h2>'._('Past and present position Holders').'</h2>';
 }

?>
    <p><?php printf(_("Show %sall past and present position holders%s or just the %scurrent ones%s"),
		    '<a href="?page=edit-position-holders&old=true">',
		    '</a>',
		    '<a href="?page=edit-position-holders">',
		    '</a>.</p>') ?>

<?php
if($result->numRows()) {
  ?>
  <table cellspacing="0" class="pretty">
  <thead>
  <tr>
    <th scope="col"><?=_('Action')?></th>
    <th scope="col"><?=_('Who')?></th>
    <th scope="col"><?=_('Org')?></th>
    <th scope="col"><?=_('Position Title')?></th>
    <th scope="col"><?=_('Start Date')?></th>
    <th scope="col"><?=_('End Date')?></th>
    <th scope="col"><?=_('Description')?></th>
  </tr>
  </thead>
  <tbody>
  <?php
  while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
    print '<tr>';
    print "<td>FIXME</td>";
    //    print '<td><a href="'.$PHP_SELF.'?page=edit-position-holders&edit='.$row->id.'">edit</a>|<a href="'.$PHP_SELF.'?page=edit-positions&delete='.$row->id.'">delete</a></td>';
    print '<td><a href="mailto:'.$row->email.'">'.$row->email.'</a></td>';
    print '<td>'.$row->orgname.'</td>';
    print '<td>'.$row->title.'</td>';
    print '<td>'.$row->start_datetime."</td>";
    print '<td>'.$row->end_datetime."</td>";
    print '<td>'.$row->description.'</td>';
    print '</tr>'."\n";
  }
  ?>
  </tbody>
  </table>
<?php
} // if result->numrows

 if($_GET['edit']) {
   $sql = "select * from positions where id=".$dbh->quote($_GET['edit']);
   $result = $dbh->query($sql);
   my_syslog(LOG_DEBUG,'edit-positions get: '.$sql);
   if(DB::isError($result)) {
     my_syslog(LOG_ERR,'edit-positions get edit isError: '.
	       $result->getMessage());
     my_syslog(LOG_ERR,'edit-positions get edit result: '.var_export($result));
     exit("Database error");
   }
   $row = $result->fetchrow(DB_FETCHMODE_OBJECT);
 }
   

?>


<?php
				} // permission check
?>
