<?php
/*
 * approve_members
 * ---------------
 *
 * (C)2004 Stewart Smith
 * Distributed under the GPL.
 */

/* FIXME: change the static 'add org_members' to something dynamic
 * probably involving something like a global $pages array with
 * required activities and stuff.
 */
if(!has_permission(get_member_id($_SESSION['user']),'add org_members'))
{
  exit (_("No permission for action"));
}

foreach (array_keys($_POST) as $item)
{
  if(strncmp('member',$item,strlen('member'))==0)
    { // is a member we have to modify
      $member_id = substr($item,strlen('member'));
      // FIXME: make it a seperate function
      $sql = "insert into org_members (member_id,org_id,member_type_id,start_date,expiry) values ($member_id,".$config['org_id'].",".$dbh->quote($_POST['member'.$member_id]).",now(),NULL)";
      my_syslog(LOG_DEBUG,"sql_insert() SQL statement: $sql");

      $result = $dbh->query($sql);
      if (DB::isError($result)) {
	my_syslog(LOG_INFO,$result->getMessage());
      }
      else
	{
	  $member = get_member($member_id,'members');

	  $type = get_member_type($_POST['member'.$member_id]);

	  /* Generate a random password, and set it */
	  $salt = randomString(rand(1,10));
	  $pass = randomString(rand(4,12));
	  $md5pass = md5($salt.$pass);
	  $sql = "insert into passwd (member_id,salt,password) values ("
            .$dbh->quote($member_id).','.$dbh->quote($salt).',md5('
	    .$dbh->quote($salt.$pass).'))'
	    .' ON DUPLICATE KEY UPDATE salt='.$dbh->quote($salt)
	    .', password=md5('.$dbh->quote($salt.$pass).')';
   
	  my_syslog(LOG_INFO,"password=".$pass." sql=".$sql);

	  $result = $dbh->query($sql);
	  if (DB::isError($result)) {
	    my_syslog(LOG_INFO,$result->getMessage());
	    my_syslog(LOG_INFO,var_export($result,TRUE));
	  }

	  $messagevars= array('ORG_NAME'=>$org->name,
			      'ORG_URL'=>$org->website,
			      'MEMBERSHIP_ADMIN'=>$config['membership-admin'],
			      'MEMBER_EMAIL'=>$member->email,
			      'MEMBER_PASSWORD'=>$pass,
			      'MEMBER_TYPE'=>$type->type." - ".$type->description
			      );

	  site_message('signup/approve-status-change',$messagevars);
	}
    }
}
?>
