<?php
/**
* Output functions. Useful for outputting HTML
*
* Custom written functions to help outputting nice XHTML
* @package output
* @author Stewart Smith
*/

/**
* HTMLises potentially nasty content.
*
* Makes sure that the database fields will be displayed correctly in HTML
* 
* @param string database content
* @return string data that is ready to be displayed in html
* @author Stewart Smith
*/
function htmlise($data)
{
  return str_replace("\n","<br/>",htmlentities(stripslashes($data)));
}

?>
