<?php
$form_editmember= array(
  'first_name'=> array('label'   =>_('First Name'),
		       'type'    =>'text',
		       'required'=>1,
		       'default' =>$member->first_name,
		       'maxlength'=>50,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>_('Must enter a first name')
					  ),
		       ),
  'middle_name'=>array('label'   =>_('Middle Name/Initial'),
		       'type'    =>'text',
		       'maxlength'=>50,
		       'default' =>$member->middle_name,
		       ),
  'last_name'  =>array('label'   =>_('Last Name'),
		       'type'    =>'text',
		       'maxlength'=>50,
		       'default' =>$member->last_name,
		       ),
  'sex'        =>array('label'   =>_('Sex'),
		       'type'    =>'select',
		       'options' =>array(_('Male'),_('Female')),
		       'default' =>($member->sex=='F')?_('Female'):_('Male'),
		       ),
  'address1'   =>array('label'   =>_('Address 1'),
		       'type'    =>'text',
		       'required'=> true,
		       'maxlength'=>50,
		       'default' =>$member->address1,
		       'valid'   => array(
					  'preg_match("/\w{2,}/", $val)' =>
					  _('Your address must contain at '.
					    'least two letters.'),
					  ),
		       ),
  'address2'   =>array('label'   =>_('Address 2'),
		       'type'    =>'text',
		       'maxlength'=>50,
		       'default' =>$member->address2,
		       ),
  'suburb'     =>array('label'   =>_('Suburb'),
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->suburb,
		       'maxlength'=>50,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>_('Must enter a suburb')
					  ),
		       ),
  'postcode'   =>array('label'   =>_('Postcode'),
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->postcode,
		       'maxlength'=>10,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>_('Must enter a postcode')
					  ),
		       ),
  'state'      =>array('label'   =>_('State'),
		       'type'    =>'text',
		       'default' =>$member->state,
		       'maxlength'=>50,
		       ),
  'country'    =>array('label'   =>_('Country'),
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->country,
		       'maxlength'=>20,
		       'valid'   =>array(
					 'preg_match("/\w+/", $val)'
					 =>_('Must enter a country')
					 ),
		       ),
  'email'      =>array('label'   =>_('Email Address'),
		       'type'    =>'text',
		       'required'=>true,
		       'maxlength'=>50,
		       'default' =>$member->email,
		       'valid'   =>array(
					 'preg_match("/\w+/", $val)'
					 =>_('Must enter an email address')
					 ),
		       ),
  'phone_home' =>array('label'   =>_('Home Phone'),
		       'type'    =>'text',
		       'default' =>$member->phone_home,
		       'maxlength'=>25,
		       ),
  'phone_mobile'=>array('label'  =>_('Mobile Phone'),
			'type'   =>'text',
			'default'  =>$member->phone_mobile,
			'maxlength'=>25,
			),
  );

?>