INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('signup/confirm-application', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Application for %ORG_NAME% Membership
', 'Thank you for applying to become a member of %ORG_NAME%. Attached
are the details you entered when you signed up.

Shortly you should receive an email notifying you of the result of your application for membership.


-----------------
Application for Membership
%ORG_NAME%

I,  %MEMBER_FULLNAME%

of  %MEMBER_ADDRESS%

hereby apply to become a member of the abovenamed incorporated association.
In the event of my admission as a member, I agree to be bound by the rules
of the association for the time being in force.

%DATE%');
INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('signup/application-request-for-confirm', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Application for %ORG_NAME% Membership', 'Somebody (most likely you) has submitted this email address
as their email address when applying for %ORG_NAME%
<URL %ORG_URL%> membership.

On %DATE% the following data was submitted on our website:
%MEMBER_DETAILS%

YOUR APPLICATION IS NOT READY YET!

You must visit this link to confirm that this application
is valid. If you have received this message erroneously,
just ignore it and it will go away.

%ACTION_URL%');
INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('signup/approve-status-change', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'New %ORG_NAME% Membership Status: %MEMBER_TYPE%
', 'Your membership status of %ORG_NAME% has been changed to:

%MEMBER_TYPE%

You can now log into the membership site with the following details:
Email: %MEMBER_EMAIL%
Password: %MEMBER_PASSWORD%

Please change your password when you first log in.');
INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('recover-password', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Recover %ORG_NAME% Member password', 'You (or someone pretending to be you) has asked for
your password to be reset.

To do so, go to the following URL:
%ACTION_URL%

Make sure that the URL is on one line. It will remain active for
%ACTION_TTL% from the time the request was made.');
INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('election-notify-nominee', '%NOMINEE_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Nomination for %POSITION%', 'In the online election (%ELECTION%) being held by %ORG_NAME%, %NOMINATOR% has nominated you (%NOMINEE%) for a position.

Election: %ELECTION%
Position: %POSITION%
Nominator: %NOMINATOR%
Nominee: %NOMINEE%

Once you have enough nominations, you can accept the nomination
and become a candidate.

You will be notified of this event in a future mail.');
INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('election-notify-nominator', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Your nomination for %POSITION%', 'In the online election (%ELECTION%) being held by %ORG_NAME%, you have made the following nomination:

Election: %ELECTION%
Position: %POSITION%
Nominator: %NOMINATOR%
Nominee: %NOMINEE%

Once there are enough nominations for this member for this position
they may accept the nomination and become a candidate.
');

INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('election-notify-candidate', '%NOMINEE_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Nomination for %POSITION%', 'In the online election (%ELECTION%) being held by %ORG_NAME%, %NOMINATOR% has nominated you (%NOMINEE%) for a position.

Election: %ELECTION%
Position: %POSITION%
Nominator: %NOMINATOR%
Nominee: %NOMINEE%

You now have enough nominations to become a candidate.

Follow this link to accept the nomination:
%ACTION_URL%

If you do not wish to accept the nomination, do nothing.

You cannot be elected to this position without accepting the nomination!
');

INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('election-notify-candidate-nominator', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Your nomination for %POSITION%', 'In the online election (%ELECTION%) being held by %ORG_NAME%, you have made the following nomination:

Election: %ELECTION%
Position: %POSITION%
Nominator: %NOMINATOR%
Nominee: %NOMINEE%

The member you nominated now has enough nominations to become
a candidate for the position. It is up for them to accept this
nomination and go through the process of becoming a candidate.
');
INSERT INTO site_messages (name, mail_to, mail_cc, mail_subject, message) VALUES ('election-vote', '%MEMBER_EMAIL%', '%MEMBERSHIP_ADMIN%', 'Your vote in %ELECTION%', 'You have voted in the online election (%ELECTION%) being held by %ORG_NAME%. If this is incorrect, please contact %ORG_NAME%.
');
