alter table org_relation_types modify org_id int(11);
create or replace view vendors as select * from orgs where id in (select org_id from org_org_types where org_type_id=(select id from org_types where name='Vendor'));

--
-- Fix bug where some people couldn't log in
alter table passwd change salt salt varchar(10);

--
-- set default value for nomination
alter table election_candidate_nomination change `when_nominated` when_nominated TIMESTAMP default CURRENT_TIMESTAMP;

-- for editors of orgs
ALTER TABLE orgs ADD COLUMN owner_member_id integer;
ALTER TABLE orgs ADD CONSTRAINT FOREIGN KEY (owner_member_id) references members(id) on update restrict;

