<?php

$title = _("Approve Membership");
headers(array('title'=>$title,'menu'=>1));

/* FIXME: change the static 'add org_members' to something dynamic
 * probably involving something like a global $pages array with
 * required activities and stuff.
 */
if(!has_permission(get_member_id($_SESSION['user']),'add org_members'))
{
  exit(_("No permission for action"));
}
?>

<h2><?=_('Approve Membership')?></h2>

<?php
$sql = "select distinct * from pending_memberships where member_type='Pending'";
$result = $dbh->query($sql);
my_syslog(LOG_DEBUG,'approve membership list: '.$sql);
if(DB::isError($result))
{
  my_syslog(LOG_INFO,'approve membership isError: '.$result->getMessage());
  print var_dump($result);
  exit("Database error");
}
?>

<p>
<?php printf(_('There are currently %u members awaiting approval'),$result->numRows()) ?>
</p>

<form method="post" action="<?=$PHP_SELF?>">
<p>
<input name="function" value="approve_members" type="hidden"/>
<input type="submit" name="submit" value="<?=_('Approve Memberships')?>"/>
<?php
$member_types = get_member_types();
while($row = $result->fetchrow(DB_FETCHMODE_OBJECT))
{
  print '<div class="member"><b>'._('Member Id:').' </b>'.htmlise($row->id)
    .' <b>'._('Name:').' </b>'.htmlise($row->first_name)
    .' '.htmlise($row->middle_name)
    .' '.htmlise($row->last_name)
    .' <a href="?page=edit-member&id='.htmlise($row->id).'">'._('edit').'</a><br/>';
  
  print '<select name="member'.htmlise($row->id)
    .'"><option value="none">'._('No Change').'</option>';
  foreach($member_types as $type)
    if($type->id==$config['member_member_type_id'])
      print '<option value="'.htmlise($type->id).'" selected>'
	.htmlise($type->type).'</option>'."\n";
    else
      print '<option value="'.htmlise($type->id)
	.'">'.htmlise($type->type).'</option>'."\n";

  print '</select></div><hr/>';
}
?>
<input type="submit" name="submit2" value="<?=_('Approve Memberships')?>"/>
</p>
</form>