<?php
$title = _("Edit Positions");
headers(array('title'=>$title,'menu'=>1));

if(!has_permission(get_member_id($_SESSION['user']),'edit positions')) {
  ?>
  <div class="error">
    <p><?=_('You do not have permission to do this.')?></p>
  </div>
<?php
					} else { 
if($_GET['delete']) {
  $sql = "delete from positions where id=".$dbh->quote($_GET['delete']);
  $result = $dbh->query($sql);
  my_syslog(LOG_DEBUG,"edit-positions delete: ".$sql);
  if(DB::isError($result)) {
    my_syslog(LOG_ERR,'edit-positions delete isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'edit-positions delete  result: '.var_export($result));
    exit("Database error");    
  }
}

if($_GET['edit'] && $_POST['submit']=='Edit') {
  $sql = "update positions set title=".$dbh->quote($_POST['title'])." , ".
    "description=".$dbh->quote($_POST['description']).
    " where id=".$dbh->quote($_POST['id']);
  $result = $dbh->query($sql);
  my_syslog(LOG_DEBUG,'edit-positions update: '.$sql);
  if(DB::isError($result)) {
    my_syslog(LOG_ERR,'edit-positions update isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'edit-positions update result: '.var_export($result));
    exit("Database error");
  }
}

$fields = array('fset'=>array('type'=>'fieldset',
			      'legend'=>_('Position Information'),
			      'fields'=>array(
	      'id'=>array('type'=>'hidden',
			  'value'=>$row->id
			  ),
	      'title'=>array('label'=>_('Title'),
			     'type'=>'text',
			     'default'=>$row->title,
			     'required'=>true,
			     'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>_('Must enter a title')
					  ),

			     ),
	      'description'=>array('label'=>_('Description'),
				   'type'=>'textarea',
				   'default'=>$row->description,
				   'width'=>40,
				   'height'=>5,
				   )
	      )));


$f2= $fields;
$errors = validate($f2, $HTTP_POST_VARS);

if($errors)
  $fields= $f2;
unset($f2);

if(!$errors
   and strtolower($_SERVER['REQUEST_METHOD']) == 'post'
   and isset($_POST['edit-position'])) {
  sql_insert('positions',array(
			       'org_id'=> $config['org_id'],
			       'title' => $_POST['title'],
			       'description' => $_POST['description']
			       )
	     );
  
  $HTTP_POST_VARS=array();
  $_POST=array();
  
}


$sql = "select positions.*,orgs.name as org_name from positions,orgs where orgs.id=positions.org_id or positions.org_id is NULL";
$result = $dbh->query($sql);
my_syslog(LOG_DEBUG,'edit-positions get: '.$sql);
if(DB::isError($result))
{
  my_syslog(LOG_ERR,'edit-positions get isError: '.$result->getMessage());
  my_syslog(LOG_ERR,'edit-positions get  result: '.var_export($result));
  exit("Database error");
}



?>

  <h2><?=_('Existing Position Types')?></h2>
     <p><?php printf(_('There are currently %u types of positions'), $result->numRows()) ?></p>
<?php
if($result->numRows()) {
  ?>
  <table cellspacing="0" class="sortable" id="position_types">
  <thead>
  <tr>
  <th scope="col"><?=_('Action')?></th>
  <th scope="col"><?=_('ID')?></th>
  <th scope="col"><?=_('Org')?></th>
  <th scope="col"><?=_('Title')?></th>
  <th scope="col"><?=_('Description')?></th>
  </tr>
  </thead>
  <tbody>
  <?php
  while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
    print '<tr>';
    print '<td><a href="'.$PHP_SELF.'?page=edit-positions&edit='.$row->id.'">edit</a>|<a href="'.$PHP_SELF.'?page=edit-positions&delete='.$row->id.'">delete</a></td>';
    print '<td>'.$row->id.'</td>';
    print '<td>'.$row->org_name.'</td>';
    print '<td>'.$row->title.'</td>';
    print '<td>'.$row->description.'</td>';
    print '</tr>'."\n";
  }
  ?>
  </tbody>
  </table>
<?php
} // if result->numrows

 if($_GET['edit']) {
   $sql = "select * from positions where id=".$dbh->quote($_GET['edit']);
   $result = $dbh->query($sql);
   my_syslog(LOG_DEBUG,'edit-positions get: '.$sql);
   if(DB::isError($result)) {
     my_syslog(LOG_ERR,'edit-positions get edit isError: '.
	       $result->getMessage());
     my_syslog(LOG_ERR,'edit-positions get edit result: '.var_export($result));
     exit("Database error");
   }
   $row = $result->fetchrow(DB_FETCHMODE_OBJECT);
 }
   
 echo '<div class="stdform">';
 
 echo '<h2>'._('Add Position Type').'</h2>';
 

 print $errors;
 output_form($fields,"edit-position",
	     _("Submit"),"post",'');

 echo '</div>';
					} // permission check
?>