<?php
$title = _("Elections");
headers(array('title'=>$title,'menu'=>1,
	      'head_extras'=>'<script type="text/javascript" src="lib/sorttable.js"></script>',
	      )
	);

if(has_permission(get_current_member_id(),'edit positions'))
  $can_edit = 1;
?>


<h2><?=('Elections')?></h2>
  <p><a href="?page=edit-election"><?=_('Create a New Election')?></a></p>
  <p><?=_('Click on the name of an election to view the details and/or participate in it.')?></p>
<table class="sortable" id="election_list">
<thead>
<tr>
<?php
if($can_edit)
  echo '<th>'._('Action').'</th>';
?>
  <th><?=_('Name')?></th>
  <th><?=_('Nominations')?></th>
  <th><?=_('Voting')?></th>
  <th><?=_('Results')?></th>
</tr>
</thead>
<tbody>
<?php
global $dbh;
$result = $dbh->query("select * from election order by start_advertising DESC");
while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
  echo '<tr>';
  if($can_edit)
    echo '<td><a href="?page=edit-election&id='.$row->id.'">edit</a></td>';
  echo '<td><a href="?page=view-election&id='.$row->id.'">'.
    $row->name.'</a></td>';
  echo '<td>'.date("d/m/Y",strtotime($row->nominations_start)).' to '.
    date("d/m/Y",strtotime($row->nominations_close)).'</td>';
  echo '<td>'.date("d/m/Y",strtotime($row->start_voting)).' to '.
    date("d/m/Y",strtotime($row->close_voting)).'</td>';
  echo '<td>'.date("d/m/Y",strtotime($row->show_results)).'</td>';
  echo '</tr>';
}
?>
</tbody>
</table>
