<?php

/**
 * We use the PEAR PHP Mail Queue class
 */
$path = $config['basedir'].'/lib';
set_include_path(get_include_path() . PATH_SEPARATOR . $path);

require_once "Mail/Queue.php";

$mail_queue =& new Mail_Queue(array('type'=>'db',
				    'dsn'=>$config['db'],
				    'mail_table'=>'mail_queue',
				    )
				    ,
			      array('driver'=>'smtp',
				    'host'=>'localhost',
				    'port'=>25,
				    'auth'=>false,
				    'username'=>'',
				    'password'=>'',
				    )
			      );

function get_site_message($name)
{
  return sql_select1('site_messages','*',"name='$name'");
}

function site_message_filter_item(&$item,&$filters)
{
  foreach($filters as $key => $val)
    $item= str_replace("%$key%",$val,$item);
}

function site_message_filter(&$message, &$filters)
{
  site_message_filter_item($message->mail_to,$filters);
  site_message_filter_item($message->mail_cc,$filters);
  site_message_filter_item($message->mail_subject,$filters);
  site_message_filter_item($message->message,$filters);
}

function site_message($name,&$filters)
{
  global $mail_queue,$config;

  $message= get_site_message($name);

  site_message_filter($message,$filters);

//  $mail =& Mail::factory('mail');

  $recipients= $message->mail_to;
  // Why are we adding the mail_cc field twice?
  // $recipients.=','.$message->mail_cc;
  if($message->mail_cc)
    $recipients.= ",".$message->mail_cc;

  $headers['From'] = $config['from'];
  $headers['To'] = $message->mail_to;
  if($message->mail_cc)
    $headers['Cc'] = $message->mail_cc;
  $headers['Subject'] = $message->mail_subject;

  // Write a record into the DB for each recipient. Why?
  // Don't we get Cc'd anyway by way of the headers column?
  // Btw, why did the author of Mail_Queue not implement Bcc? Omg!
  foreach(split(',',$recipients) as $r) {
    if( trim($r) ) {
      $mail_queue->put($config['from'],
		     $r,
		     $headers,
		     $message->message,
		     0,
		     false
		     );
    }
  }

}

?>
