<?php
/*
 * db
 * --
 *
 * What database to connect to
 */
$config['db'] = "mysql://memberdb:pants@unix()/memberdb";

/*
 * Dump the DB object to the browser when an sql error occurs.
 * ENABLING THIS WILL EXPOSE YOUR MYSQL CREDENTIALS!
 */
$config['var_dump'] = false;

/*
 * org_id
 * ------
 * Identifies which organisation is using this installation
 * of the memberdb scripts.
 *
 * It should be the content of the 'id' field of the 'orgs'
 * table for the applicable organisation.
 *
 * Usually this would be 1, as you will have created the entry
 * during the bootstrap process.
 */
$config['org_id'] = 1;

/*
 * member_member_type_id
 * ---------------------
 * FIXME: This should be better, the name and purpose suck.
 *
 * This is the member_type that a new member (once approved)
 * is given.
 */
$config['member_member_type_id'] = 2;

/*
 * Index page title
 * ----------------
 *
 * Title to appear on the index page, i.e. what users see
 * before they go executing functions.
 */
$config['index_title'] = "Linux Australia Membership Database";

/*
 * Base dir
 * --------
 *
 * Base directory of web site (on local FS)
 * Used for includes.
 * Default should be fine
 */
$config['basedir'] = getcwd();

/*
 * Base URL
 * --------
 *
 * Top level URL that all memberdb pages are off.
 *
 * This is used when putting URLs into emails.
 */
$config['baseurl']= 'http://localhost/~stewart/memberdb/'; // 'http://www.linux.org.au/membership/';

/**
 *
 * Membership Admin list
 * ---------------------
 *
 * This is where copies of mails sent to users are sent.
 * We may also send other things here in the future.
 */
$config['membership-admin']= 'membership-admin@lists.linux.org.au';

/**
 * From
 * ----
 * Who mails are from.
 */
$config['from']='ctte@linux.org.au';

/**
 * Enable sending emails
 * ---------------------
 *
 * Set to 1 to enable the sending of emails. Otherwise they are queued in
 * the database.
 */
$config['send_emails']=0;

/**
 * Date/Time Fomats
 * ----------------
 *
 * Default date and time format for input fields.
 * Specify as per http://php.net/manual/en/function.strftime.php
 */
$config['date_format']='%d/%m/%Y';
$config['time_format']='%H:%M';

/**
 * Nomination blacklist ACL
 * ------------------------
 *
 * Contains a list of remail addresses that can never be nominated for any
 * positions because "weird timeout problems" occur.
 * Defaults to an empty list.
 */
$config['blacklist'] = array();
?>
