<?php
/*
 * pages.inc.php
 * -------------
 * A list of pages, the category of them (for display purposes) and
 * any permission required to access them.
 *
 *
 * (C)2004 Stewart Smith
 * Distributed under the GPL.
 */

$permissions_pages = array(
 'index' =>
 array('page' =>'index',
       'title'=>gettext('Membership Home')),

 'membership'=>
 array('category'=>gettext('Membership'),
       'items'=>
       array('signup'=>
	     array('page' =>'signup',
		   'title'=>gettext('Sign-up'),
		   ),
	     'approve_members'=>
	     array('page'=>'approve_members',
		   'title'=>gettext('Approve'),
		   'activity'=>'add org_members'),
	     'memberlist'=>
	     array('page'=>'memberlist',
		   'category'=>gettext('Member List'),
		   'activity'=>'list members',
		   'logged_in'=>1,
		   'items'=>array(
				  'exportmembers'=>
				  array('page'=>'exportmembers',
					'title'=>gettext('Export'),
					'activity'=>'list members'),
				  ),
		   ),
	     ),
       ),
 'mydetails'=>
 array('category'=>gettext('My Details'),
       'page'=>'edit-member',
       'logged_in'=>1,
       'items'=>array(
		      'passwd'=>
		      array('page'=>'passwd',
			    'title'=>gettext('Change Password'),
			    'logged_in'=>1
			    ),
		      ),
       ),
 'orgs'=>
 array('category'=>gettext('Organisations'),
       'items'=>
       array('vendors'=>
             array('page'=>'vendors',
	           'title'=>gettext('Vendors'))
	     )
       ),
 'positions'=>
 array('category'=>gettext('Positions'),
       'items'=>
       array('edit-positions'=>
	     array('page'=>'edit-positions',
		   'title'=>gettext('Edit Types'),
		   'activity'=>'edit positions'
		   ),
	     'edit-position-holders'=>
	     array('page'=>'edit-position-holders',
		   'title'=>gettext('Edit Holders'),
		   'activity'=>'edit positions'
		   ),
	     ),
       ),
 'elections'=>
 array('category'=>gettext('Elections'),
       'page'=>'elections',
       'logged_in'=>1,
       'items'=>
       array('edit-election'=>
	     array('page'=>'edit-election',
		   'title'=>gettext('New'),
		   'logged_in'=>1,
		   'activity'=>'election admin'
		   )
	     )
       ),
/*'survey-salary' =>
 array('page'=> 'survey-salary',
       'title'=>'Salary Survey',
  	   'logged_in' => 1,
  	  ),
*/
 'edit-site-message'=>
 array('page'=>'edit-site-message',
       'title'=>gettext('Edit Emails sent'),
       'logged_in'=>1,
       'activity'=>'edit site-message'
       ),

 );


?>
