<?php
/* Reset Password
 * ----------------
 *
 * Part of MemberDB.
 *
 * This requires the user to have a token created in recover-password.
 *
 * (C) 2004 Stewart Smith
 * Distributed under the GPL
 */

$title = _("Reset Password");
headers(array('title'=>$title,'menu'=>1));

$id = check_token($_GET['token'],'recover password');

if($id>0) { // Token was valid (we got a memberid)
  // Generate a new random password and salt
  $salt = randomString(rand(1,10));
  $pass = randomString(rand(1,20));
  $md5pass = md5($salt.$pass);

  $dbh->query("insert into passwd (member_id,salt,password) values ("
  	.$dbh->quote($id).', '.$dbh->quote($salt).', '
	.$dbh->quote($md5pass).')');

  $sql = "update passwd set salt=".$dbh->quote($salt)
    .", password=".$dbh->quote($md5pass)." where member_id="
    .$dbh->quote($id);

  $result = $dbh->query($sql);
  if (DB::isError($result)) {
    my_syslog(LOG_INFO,$result->getMessage());
    $return['value'] = 0;
    $return['reason'] = _('Database error, password not changed.');
  } else {
    $return['value'] = 1;
    $return['reason'] = _('Password Changed to ').$pass;
  }
  print "<h1>"._('Reset Password')."</h1>";
  print "<p>".$return['reason']."</p>";
} else { // token was not valid
  print "<h1>"._('Invalid Request')."</h1>";
  print "<p>"._('Your request to reset your password was invalid.')."</p>";
}
?>
