<?php
$title = _("Vendors");
headers(array('title'=>$title,'menu'=>1,
	      'head_extras'=>'<script language="text/javascript" src="lib/sorttable.js"></script>',
	      )
	);

$user_member_id= get_member_id($_SESSION['user']);
if(has_permission($user_member_id,'edit orgs'))
  $can_edit = 1;
else
$can_edit= 0;
?>

<h2><?=_('Vendors')?></h2>
<table class="sortable" id="vendor_list">
<thead>
<tr>
  <th><?=_('Name')?></th>
  <th><?=_('State')?></th>
  <th><?=_('Address')?></th>
  <th><?=_('Contact')?></th>
  <th><?=_('Description')?></th>
</tr>
</thead>
<tbody>
<?php
global $dbh;
$result = $dbh->query("select name,website,owner_member_id,state,address1,address2,suburb,state,postcode,country,email,phone,mobile,fax,description from vendors order by name");
while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
  echo '<tr>';
  echo '<td><a href="'.htmlise($row->website).'">'.htmlise($row->name);
  echo '</a>';
  if($logged_in && ($can_edit || $row->owner_member_id==$user_member_id))
    echo ' (<a href="?page=edit-org&id='.$row->id.'">edit</a>)';
  echo '</td>';
  echo '<td>'.htmlise($row->state).'</td>';
  echo '<td>'.htmlise($row->address1).'<br/>';
  echo        htmlise($row->address2).'<br/>';
  echo        htmlise($row->suburb).' '.htmlise($row->postcode).'<br/>';
  echo        htmlise($row->state).'<br/>';
  echo        htmlise($row->country);
  echo '</td>';
  echo '<td>';
  echo '<a href="mailto:'.htmlise($row->email).'">'.htmlise($row->email)
    .'</a><br/>';
  echo 'Phone: '.htmlise($row->phone).'<br/>';
  echo 'Mobile: '.htmlise($row->mobile).'<br/>';
  echo 'Fax: '.htmlise($row->fax).'<br/>';
  echo '</td>';
  echo '<td>'.htmlise($row->description).'</td>';
  echo '</tr>';
}
?>
</tbody>
</table>
